Welcome to Tesla Motors Club
Discuss Tesla's Model S, Model 3, Model X, Model Y, Cybertruck, Roadster and More.
Register

Open Vehicle Monitor System (OVMS) - Technical Discussion

jaanton

Roadster NA #1026
Jun 25, 2010
337
14
Oakland, CA
I got my new 3.3 Module with 3.3 modem and have yet to get the modem to work.
It all works with my home WiFi network with the modem turned off. But when I turn on the modem (I'm using Hologram BTW) in a couple minutes it crashes.
Looking in the logs, it seems that the ppp is coming up just briefly sometimes getting an ip address in the 10.x.x.x range, but then looses it. reporting UserInterrupt in the log. I'm attaching the screen shot of the crash indication.

I'm not used to reading the log files, it would sure be nice if a reboot message was put in the log so it's clear that a crash happened. Since that information is in the dashboard I would think that should be in the log as well.

I drove away from my home WiFI and tried it again in a different location which might get better cellular signal, but it crashed again turning on the modem via my cell phone connecting to the access point of the module.

I've tried a bunch of stuff, booting the eap release (seems to be older than the factory/stable release) and I tried my friends' ovms 3.3.001 build and that crashed also. I have some logs but I'm not going to post them because they have sensitive information. Sigh.

I could take my old 3.1 board, upgrade it's software and move the modem there, but I feel this is a software problem mostly. Even if I'm having dropped cellular connections, the module shouldn't crash.

I moved to the new 3.3 board from my 3.1 by backing up the state on my sd card, moving it to the new module and recovering that backup state. That worked well, but I'm a little uncertain if that might be my problem i.e. if there is some incompatibility between 3.1 backups and 3.3 recovery.

Anyone with similar problems?
 

Attachments

  • Screenshot_20220302-124605.png
    Screenshot_20220302-124605.png
    485 KB · Views: 77

ShawnA

Active Member
Supporting Member
Nov 13, 2017
1,192
996
Edwardsburg, MI
Hi @jaanton ,

I would try to "Flash from Web" even if the software
is the same...

You will need to run configuration again related to the modem.
That horrible long number from the new modem, ICCID, has to be in your configuration.
Maybe it was restored or maybe not...
Your SIM moving from one modem to another should not be a problem...

If you are still lost @markwj is the man to help you.

Good luck,

Shawn
 

drewski

Member
Supporting Member
Sep 22, 2019
717
423
SF Bay Area
I got my new 3.3 Module with 3.3 modem and have yet to get the modem to work.
It all works with my home WiFi network with the modem turned off. But when I turn on the modem (I'm using Hologram BTW) in a couple minutes it crashes.
Looking in the logs, it seems that the ppp is coming up just briefly sometimes getting an ip address in the 10.x.x.x range, but then looses it. reporting UserInterrupt in the log. I'm attaching the screen shot of the crash indication.

I'm not used to reading the log files, it would sure be nice if a reboot message was put in the log so it's clear that a crash happened. Since that information is in the dashboard I would think that should be in the log as well.

I drove away from my home WiFI and tried it again in a different location which might get better cellular signal, but it crashed again turning on the modem via my cell phone connecting to the access point of the module.

I've tried a bunch of stuff, booting the eap release (seems to be older than the factory/stable release) and I tried my friends' ovms 3.3.001 build and that crashed also. I have some logs but I'm not going to post them because they have sensitive information. Sigh.

I could take my old 3.1 board, upgrade it's software and move the modem there, but I feel this is a software problem mostly. Even if I'm having dropped cellular connections, the module shouldn't crash.

I moved to the new 3.3 board from my 3.1 by backing up the state on my sd card, moving it to the new module and recovering that backup state. That worked well, but I'm a little uncertain if that might be my problem i.e. if there is some incompatibility between 3.1 backups and 3.3 recovery.

Anyone with similar problems?
Not having much success with the new modem either. See post above yours.

I put it in my old module and flashed 3.3.001 via web. My build # is the same as yours, but date is from November?

Need to look if there's anything useful in the logs.
 

Attachments

  • Screenshot_20220227-064218.png
    Screenshot_20220227-064218.png
    484.9 KB · Views: 51
Last edited:

jaanton

Roadster NA #1026
Jun 25, 2010
337
14
Oakland, CA
Not having much success with the new modem either. See post above yours.

I put it in my old module and flashed 3.3.001 via web. My build # is the same as yours, but date is from November?

Need to look if there's anything useful in the logs.
You are on the 'eap' thread/release cycle...
We're in a strange place where 'stable' is newer than 'eap'. I tried 'eap' and had the problem. Also, 'eap' didn't have a proper dashboard information via the web access. I would suggest downloading the stable release but I don't think that will solve the problem.
 

markwj

Asia Pacific
Moderator
Apr 10, 2011
4,679
1,378
Hong Kong
For those upgrading to the 4G modem, you *must* be running 3.3.001 firmware. Simplest way to get that is to set your release level to 'edge' and do a normal OTA update over wifi. You can also get it from this URL:

http://api.openvehicles.com/firmware/ota/v3.3/main/ovms3.bin

For the hardware, you should refer to the little table printed on the board that tells you which antenna goes where. It is different for the 3G and 4G modems.

If powering up on the bench, make sure you have a powered USB hub, or a good quality USB port that provides enough power. 4G is more power hungry than 3G.

If you still can't get it working, create a support ticket at www.openvehicles.com and include the 'module summary' output after the module has been plugged in for a few minutes. It is helpful if you can leave it plugged in, connected via wifi, so we can remotely connect to check.
 
  • Like
Reactions: drewski

jaanton

Roadster NA #1026
Jun 25, 2010
337
14
Oakland, CA
Quite a bit of investigation has occurred and it seems that not having the GPS part of the cellular modem enabled is causing the crashes.
The Roadster OVMS uses GPS from the car instead of the OVMS cell modem.
If you enable the GPS from the cellular configuration that might fix the problem. It's working for me with no apparent ill effects.
You need the 3.3.001 firmware as Mark mentions.
I don't have a GPS antenna attached to my OVMS module, just enabling it got me work.ing.
 
  • Like
Reactions: drewski

drewski

Member
Supporting Member
Sep 22, 2019
717
423
SF Bay Area
You are on the 'eap' thread/release cycle...
We're in a strange place where 'stable' is newer than 'eap'. I tried 'eap' and had the problem. Also, 'eap' didn't have a proper dashboard information via the web access. I would suggest downloading the stable release but I don't think that will solve the problem.

Same build idf so think we have the same build. Just moved from /eap to /stable.

My dashboard looks to be OK.

I'll try your GPS suggestion and then re-flash.
 

Curt

Roadster Signature #55
May 13, 2013
447
188
Rockville, MD
For those upgrading to the 4G modem, you *must* be running 3.3.001 firmware. Simplest way to get that is to set your release level to 'edge' and do a normal OTA update over wifi. You can also get it from this URL:

I'm a little confused.

When should I upgrade to v3.3.001? Before or after the Modem board swap?

I just switched my firmware setup to edge, downloaded what appeared to be 3.3.001, but on reboot I have two partitions with 3.2.018 installed.
 

slcasner

Active Member
Supporting Member
Feb 20, 2011
1,536
1,078
Sunnyvale, CA
When should I upgrade to v3.3.001? Before or after the Modem board swap?
Normally before the board swap.
I just switched my firmware setup to edge, downloaded what appeared to be 3.3.001, but on reboot I have two partitions with 3.2.018 installed.
Hard to say exactly what happened there. Maybe some missed step?

As @jaanton mentioned above, with 3.3.001 and the 4G modem you need to enable GPS, even though that would normally not be used with the Roadster, to avoid repeated crashing. 3.3.002 is coming soon.
 
  • Like
Reactions: drewski and miimura

jaanton

Roadster NA #1026
Jun 25, 2010
337
14
Oakland, CA
Probably the easiest way to get 3.3.001 now for an older (v3.1 or v3.2 board) is to go to firmware/flash from web and change the word 'main' or 'eap' into 'edge'.
I just did that for my old 3.1 board via this uri:
api.openvehicles.com/firmware/ota/v3.1/edge/ovms3.bin

I understand that the 3.1 and 3.2 boards use the same firmware but probably good to do the right thing for your hardware.

FYI: I'm no longer using my v3.1 board with any vehicle. I bought the new v3.3 board and aside from this GPS bug I'm quite happy with it. The WiFi is more sensitive and I don't have to park as close to my home WiFi hub as I used to and the cellular signal is also stronger but that's hard to tell if it's due to so few 3G towers left.

If you don't know what hardware version you have maybe go to the status page and look for the version of your 'factory' software. My old board shows '3.1.006' which is pretty old now.

I also want to thank @markwj and all the OVMS developers for this project. I bought the early v1 hardware so I'm now on my third hardware.
 

drewski

Member
Supporting Member
Sep 22, 2019
717
423
SF Bay Area
Quite a bit of investigation has occurred and it seems that not having the GPS part of the cellular modem enabled is causing the crashes.
The Roadster OVMS uses GPS from the car instead of the OVMS cell modem.
If you enable the GPS from the cellular configuration that might fix the problem. It's working for me with no apparent ill effects.
You need the 3.3.001 firmware as Mark mentions.
I don't have a GPS antenna attached to my OVMS module, just enabling it got me work.ing.
Enabling GPS didn't work.

I also flashed the latest Edge release (3.3.001-285-g601f2a70/ota_0/edge (build idf v3.3.4-848-g1ff5e24b1 Feb 20 2022 00:04:30)) and same. Connects to Google Fi, but not to the server.

I've opened a ticket per mark's post.
 

jaanton

Roadster NA #1026
Jun 25, 2010
337
14
Oakland, CA
Enabling GPS didn't work.

I also flashed the latest Edge release (3.3.001-285-g601f2a70/ota_0/edge (build idf v3.3.4-848-g1ff5e24b1 Feb 20 2022 00:04:30)) and same. Connects to Google Fi, but not to the server.

I've opened a ticket per mark's post.
I have a Google Fi data-only sim and I've tried to get it to work. Sometimes it shows "Google Fi" as a provider. I set the APN to "h2g2" but it does not work. What web searching I've found is inconclusive. There is some mention of an APN of "h2g2-T" and "h2g2-t" and other stuff. Some people say you have to run a Google Fi app but some say not. It's a crazy system and Google is no help just search the web or just try it, it's free.
It would sure be great if Google Fi would work because their data cost is crazy low.
But it seems like they are clamping down on the data-only sims. Some recent posts I've seen say there used to be a limit of 9 data-only sims and that's been reduced to 4. They seem to be getting more restricted.

If anyone has gotten a Google Fi data sim to work please post how. It would be fantastic.
 

drewski

Member
Supporting Member
Sep 22, 2019
717
423
SF Bay Area
I have a Google Fi data-only sim and I've tried to get it to work. Sometimes it shows "Google Fi" as a provider. I set the APN to "h2g2" but it does not work. What web searching I've found is inconclusive. There is some mention of an APN of "h2g2-T" and "h2g2-t" and other stuff. Some people say you have to run a Google Fi app but some say not. It's a crazy system and Google is no help just search the web or just try it, it's free.
It would sure be great if Google Fi would work because their data cost is crazy low.
But it seems like they are clamping down on the data-only sims. Some recent posts I've seen say there used to be a limit of 9 data-only sims and that's been reduced to 4. They seem to be getting more restricted.

If anyone has gotten a Google Fi data sim to work please post how. It would be fantastic.
3.3.002 is up in eap

Google Fi shows, but just cycles through NetWait, NetStart, NetMode, NetLoss, NetDown
 

Attachments

  • Screenshot_20220306-193624.png
    Screenshot_20220306-193624.png
    309.6 KB · Views: 34
  • Screenshot_20220306-193609.png
    Screenshot_20220306-193609.png
    349.5 KB · Views: 42
I have a Google Fi data-only sim and I've tried to get it to work. Sometimes it shows "Google Fi" as a provider. I set the APN to "h2g2" but it does not work. What web searching I've found is inconclusive. There is some mention of an APN of "h2g2-T" and "h2g2-t" and other stuff. Some people say you have to run a Google Fi app but some say not. It's a crazy system and Google is no help just search the web or just try it, it's free.
It would sure be great if Google Fi would work because their data cost is crazy low.
But it seems like they are clamping down on the data-only sims. Some recent posts I've seen say there used to be a limit of 9 data-only sims and that's been reduced to 4. They seem to be getting more restricted.

If anyone has gotten a Google Fi data sim to work please post how. It would be fantastic.
I've had a Google Fi data-only SIM card working in my OVMS since I installed it a few years ago. I just got a new 4G modem yesterday (Medlock has them in stock) but I haven't installed it yet. My APN is set to "h2g2"
 
  • Like
Reactions: drewski

miimura

Well-Known Member
Aug 21, 2013
7,441
7,453
Los Altos, CA
I have a T-Mobile SIM that I just installed in my new 4G modem. T-Mobile insists that everything is good on their end, but the OVMS reports

Code:
cellular: mux-rx-line #3: +CREG: 1,3
Network Registration: DeniedRegistration
cellular: Mux-rx-line #3: +CCLK: "22/03/21,15:01:54-28"
cellular: mux-rx-line#3: +CSQ: 18,99
cellular: mux-rx-line#3: +COPS: 0,0,"T-Mobile",7
cellular: Network Provider is: T-Mobile

Anybody have suggestions for how to get it working?
 

slcasner

Active Member
Supporting Member
Feb 20, 2011
1,536
1,078
Sunnyvale, CA
I have a T-Mobile SIM that I just installed in my new 4G modem. T-Mobile insists that everything is good on their end, but the OVMS reports
[snip]
Network Registration: DeniedRegistration
[snip]
Anybody have suggestions for how to get it working?
I have been using the Hologram SIM that came with the OVMS long ago. When I upgraded to the 4G modem my OVMS came up and registered just fine. But then I installed a 4G modem for @Timothy who is also using the Hologram SIM and his gets the DeniedRegistration error. I posted about this to the ovmsdev list but received no response. This coming Friday I expect to get Timothy's OVMS so I can try some experiments of swapping modems or SIM cards or to see if operation in a different region makes a difference.
 
  • Like
Reactions: drewski

miimura

Well-Known Member
Aug 21, 2013
7,441
7,453
Los Altos, CA
I have been using the Hologram SIM that came with the OVMS long ago. When I upgraded to the 4G modem my OVMS came up and registered just fine. But then I installed a 4G modem for @Timothy who is also using the Hologram SIM and his gets the DeniedRegistration error. I posted about this to the ovmsdev list but received no response. This coming Friday I expect to get Timothy's OVMS so I can try some experiments of swapping modems or SIM cards or to see if operation in a different region makes a difference.
Thanks for the reply. I saw your message on the dev list but wasn't sure if it was related because of the different SIM type.
 

About Us

Formed in 2006, Tesla Motors Club (TMC) was the first independent online Tesla community. Today it remains the largest and most dynamic community of Tesla enthusiasts. Learn more.

Do you value your experience at TMC? Consider becoming a Supporting Member of Tesla Motors Club. As a thank you for your contribution, you'll get nearly no ads in the Community and Groups sections. Additional perks are available depending on the level of contribution. Please visit the Account Upgrades page for more details.


SUPPORT TMC
Top